#include <iostream>
#include <fstream>
#include <string>
#include <vector>
#include <queue>
#include <cassert>
#include <algorithm>
#include <stack>
#include <set>
#include <cstdio>

// testlib is evil
#define stderr stdout

#include "testlib.h"

using namespace std;

int main(int argc, char** argv) {
    registerTestlibCmd(argc, argv);
    double a = ans.readDouble();
    double o = ouf.readDouble();
    if (a == 0) {
        if (o == 0) quitf(_ok, "ok"); else quitf(_wa, "Must be zero: %lg", o);
    }
    double e = a - o;
    if (e < 0) e = -e;
    e /= a;
    quitif(e > 1e-6, _wa, "W %lg instead of %lg, error %lg", o, a, e);
    quitf(_ok, "ok");
}
